%define oname   dbd-sqlite3

Name:       ruby-%{oname}
Version:    1.2.5
Release:    %mkrel 1
Summary:    SQLite 3.x DBD for DBI
License:    BSD
Group:      Development/Ruby
URL:        http://www.rubyforge.org/projects/ruby-dbi
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
SQLite 3.x DBD for DBI

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ChangeLog
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Wed Feb 09 2011 shikamaru <shikamaru> 1.2.5-1.mga1
+ Revision: 49354
- imported package ruby-dbd-sqlite3


* Wed Feb 09 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.2.5-1
- Initial package
